com.holonplatform.core

## Interface DataMappable

- All Known Subinterfaces:
    Aliasable.AliasablePath<T,C>, BeanDataTarget<T>, BeanProperty<T>, BeanProperty.Builder<T>, BeanPropertySet<T>, BooleanBeanProperty, BooleanProperty, BooleanProperty.BooleanPropertyBuilder, CloneableProperty.CloneablePathProperty<T,P>, CollectionPathProperty<E,C>, DataTarget<T>, Join<T>, ListPathProperty<T>, ListPathProperty.ListPathPropertyBuilder<T>, NumericBeanProperty<N>, NumericProperty<N>, NumericProperty.NumericPropertyBuilder<N>, Path<T>, Path.FinalPath<T>, Path.FinalPath.FinalPathBuilder<T>, Path.PathBuilder<T>, PathExpression<T>, PathProperty<T>, PathProperty.PathPropertyBuilder<T>, PropertyBoxProperty, PropertyBoxProperty.PropertyBoxPropertyBuilder, RelationalTarget<T>, SetPathProperty<T>, SetPathProperty.SetPathPropertyBuilder<T>, StringBeanProperty, StringProperty, StringProperty.StringPropertyBuilder, TemporalBeanProperty<T>, TemporalProperty<T>, TemporalProperty.TemporalPropertyBuilder<T>
  All Known Implementing Classes:
    DefaultFinalPath, DefaultPath

      public interface DataMappable

  Interface to declare support for data mapping, i.e. to provide the String value of the data model name to which an object is bound.
  Since:
    5.1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DataMappable.Builder<B extends DataMappable.Builder<B>>` Base `DataMappable` builder.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CONFIG_PROPERTY_PREFIX` Default prefix for data mapping configuration properties.
    `static ConfigProperty<String>` | `PATH` Configuration property to declare the `String` type path name to be used to map a data related object to the actual persistence data model element name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataPath()` Get the data model path name to which this object is bound, if available.
    `static Optional<DataMappable>` | `isDataMappable(Object object)` Checks if given object is `DataMappable`.

- - ### Field Detail

    - #### DEFAULT_CONFIG_PROPERTY_PREFIX

          static final String DEFAULT_CONFIG_PROPERTY_PREFIX

      Default prefix for data mapping configuration properties.

    - #### PATH

          static final ConfigProperty<String> PATH

      Configuration property to declare the `String` type path name to be used to map a data related object to the actual persistence data model element name.

  - ### Method Detail

    - #### getDataPath

          Optional<String> getDataPath()

      Get the data model path name to which this object is bound, if available.
      Returns:
        Optional data model path name

    - #### isDataMappable

          static Optional<DataMappable> isDataMappable(Object object)

      Checks if given object is `DataMappable`.
      Parameters:
        `object` - The object to check
      Returns:
        If given object is `DataMappable`, the object itself is returned as a `DataMappable` instance. Otherwise, an empty Optional is returned.

Copyright © 2019 The Holon Platform. All rights reserved.